> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get total Dogecoin balance for an address including confirmed and unconfirmed amounts with USD valuation.

# Total Balance by Address



## OpenAPI

````yaml dogecoin/blockchain-indexer-api/openapi.json get /addresses/{address}/balance
openapi: 3.0.3
info:
  title: Dogecoin - Blockchain Indexer API
  description: Core indexer endpoints dedicated to Dogecoin metaprotocols.
  contact:
    name: Maestro Blockchain Inc.
    url: https://gomaestro.org/
    email: info@gomaestro.org
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v0.1.1
servers:
  - url: https://xdg-mainnet.gomaestro-api.org/v0
    description: Dogecoin Mainnet
  - url: https://xdg-testnet.gomaestro-api.org/v0
    description: Dogecoin Testnet
security:
  - api-key: []
paths:
  /addresses/{address}/balance:
    get:
      tags:
        - Addresses
      summary: Total Balance by Address
      description: >-
        Sum of koinu in UTxOs which reside at the specified address or script
        pubkey.
      operationId: total_balance_by_address
      parameters:
        - name: address
          in: path
          description: Dogecoin address or hex encoded script pubkey
          required: true
          schema:
            type: string
          example: DNG3G7pKc1DgciyWs36GFUnVyvJieDhKdb
      responses:
        '200':
          description: Requested data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TimestampedTotalBalanceByAddress'
              example:
                data: '695100'
                last_updated:
                  block_hash: >-
                    000000000000000000005075404edd6edc806976389a9f7e2ff71db1c2cf9b83
                  block_height: 884991
        '400':
          description: Malformed query parameters
        '404':
          description: Requested entity not found on-chain
        '500':
          description: Internal server error
components:
  schemas:
    TimestampedTotalBalanceByAddress:
      type: object
      required:
        - data
        - last_updated
      properties:
        data:
          type: string
        last_updated:
          $ref: '#/components/schemas/LastUpdated'
    LastUpdated:
      type: object
      required:
        - block_hash
        - block_height
      properties:
        block_hash:
          type: string
        block_height:
          type: integer
          format: int64
          minimum: 0
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````